# Class: StatusCategoryClient

## StatusCategoryClient

## Constructor

#### new StatusCategoryClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/statuscategory'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/statusCategory.js, line 5

### Methods

#### getAllStatusCategories(opts, callback)

Returns a list of all statusCategories visible to the user

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the statusCategories have been retrieved.

Source:
  - api/statusCategory.js, line 14

#### getStatusCategory(opts, callback)

Get a full representation of the statusCategory that has the given id or key.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`statusCategoryIdOrKey` |  | A String containing a statusCategory id

`callback` |  | Called when the statusCategory has been retrieved.

Source:
  - api/statusCategory.js, line 33